<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script>
        var datos;
        var dias = ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'];
        var mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
        window.onload = function () {
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    datos = JSON.parse(xhr.responseText);
                    mostrarDatos();
                }
            }
            xhr.open("GET", "Flamenco/espectaculos.php", true);
            xhr.send();
        }

        function mostrarDatos(){
            document.getElementById('tabla').innerHTML = "<tr><th>Fecha</th><th>Espectáculo</th><th>Artista</th><th>Votos</th><th></th></tr>"
            for(var i = 0; i < datos.length; i++){
                var fecha = new Date(datos[i].fecha);
                var diaSemana = dias[fecha.getDay()];
                var diames = fecha.getDate();
                var mesString = mes[fecha.getMonth()];
                var anno = fecha.getFullYear();
                var fechaFinal = diaSemana + ', ' + diames + ' de ' + mesString + ' de ' + anno;
                document.getElementById('tabla').innerHTML += "<tr onmouseover='muestraImagen(" + i + ", this)' onmouseout='quitaColor(this)'><td>" + fechaFinal + "</td><td>" + datos[i].espectaculo + "</td><td>" + datos[i].artista + "</td><td>" + datos[i].votos + "</td><td><button onclick='Votar(" + i + ")'>Votar</button></td></tr>";
            }
            console.log(datos);
        }

        function muestraImagen(id, tr){
            tr.style.color = 'red';
            fotoFinal = datos[id].foto; 
            if(fotoFinal != null){
                document.getElementById('imagen').innerHTML = "<img src='Flamenco/fotos/" + fotoFinal + "'>";
            }
            else {
                document.getElementById('imagen').innerHTML = "";
            }
        }

        function quitaColor(tr){
            tr.style.color = 'black';
        }

        function Votar(id){
            var xhr = new XMLHttpRequest();
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //datos[id].votos++;
                    //mostrarDatos();
                    var xhr2 = new XMLHttpRequest();
                    xhr2.onreadystatechange = function () {
                        if (xhr2.readyState == 4 && xhr2.status == 200) {
                            datos = JSON.parse(xhr2.responseText);
                            mostrarDatos();
                        }
                    }
                    xhr2.open("GET", "Flamenco/espectaculos.php", true);
                    xhr2.send();
                }
            }
            xhr.open("POST", "Flamenco/votar.php", true);
            xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            xhr.send("id=" + datos[id].idespectaculo); 
        }
    </script>
    <style>
    table tr th, 
    table tr td {
        border: 1px solid black;
    }
    </style>
    <title>Espectaculo</title>
</head>

<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-8">
                <table id="tabla">
                </table>
            </div>
            <div class="col-md-4" id="imagen">
            </div>
        </div>
    </div>
</body>

</html>